View Issue Details

IDProjectCategoryView StatusLast Update
0015841ScribusStylespublic2019-12-08 21:24
Reporterale Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015841: When cloning a style, add a number instead of prepending "Clone of"
Description- appending a number improves the sorting (clones should be shown together with the original)
- most of the time the user wants to change the end of the name, not the beginning
  (ok, this might be depend on the language)

the issue the be solved: what should happen when one clones "Heading 1" and there is already a "Heading 2"?
TagsNo tags attached.
PatchNo

Activities

jghali

2019-10-09 03:22

administrator   ~0046756

I had almost the same idea in mind, except that I put some parenthesis around the number. We have already some code to detect that pattern. So when cloning "Heading (1)", if "Heading (2)" exists, the clone will be named "Heading (3)".

Issue History

Date Modified Username Field Change
2019-10-07 15:02 ale New Issue
2019-10-09 03:22 jghali Assigned To => jghali
2019-10-09 03:22 jghali Status new => resolved
2019-10-09 03:22 jghali Resolution open => fixed
2019-10-09 03:22 jghali Fixed in Version => 1.5.6.svn
2019-10-09 03:22 jghali Note Added: 0046756
2019-12-08 21:24 cbradney Status resolved => closed